Wuala install

moonlook

Meteorist
Hallo,

betreibt jemand hier Wuala unter FreeBSD?

Beim starten der loader3.jar erscheint folgende Meldung:

You are using a Java version provided by The FreeBSD Foundation.
Currently, Wuala is only tested and supported with Sun's JVM.
We suggest that you install Sun's JVM (1.5 or later) and try again.

Kann man da Abhilfe schaffen?

Gruss,
moonlook
 

Crest

rm -rf /*
Teammitglied
Dagegen gibt es nen Flag damit es auch mit nicht Sun VMs läuft. Das problem sind die shared Libs die in dem jar liegen. Die musst du gegen FreeBSD Fassungen tauschen dann ging es für mich. Hatte das vor >1 Jahr mal probiert und auch nur ohne GUI. Wäre schön eine aktuelle Version nativ unter FreeBSD zu haben sich ne Kompatibilitätsumgebung inkl. aktueller JVM zu bauen wäre aufwändig.
 

moonlook

Meteorist
Danke Crest fuer die schnelle Antwort.

Aber wo genau muesste ich da etwas anpassen in den jar Dateien?
Ich tue mich zugegebenermassen etwas schwer damit.
 

Crest

rm -rf /*
Teammitglied
Ich habe es gerade mal selbst probiert. Das ist mit der weile ganz anders aufgebaut. Entpacke dir mal wuala.tar.gz. Das ./wualacmd startet bei mir Wuala und findet dann erwartungsgemäß shared Libs nicht. Damals basierte Wuala Filesystemintegration noch auf NFS nicht auf FUSE. Nen NFS Server im Userspace mag zwar schlecht implementiert sein, aber er ist portable. Mit FUSE aus Java per JNI wirst du wohl kaum glücklich werden, wenn der Hersteller nicht berücksichtigt, dass es *nix != Linux gibt.
 
Oben